createDocumentInstance

Generate a new document instance.

Prepares a document immediately within response or asynchronously from the referenced document type and document data. The document type and reference object are resolved in the context of the session client. The output format and archive options are defined in the referenced document type. Created documents are retained for later reuse, e.g. fetching or printing the document. The caller can fetch the document contents by calling GET /document/{documentId} with the received documentId or GET /documentInstance/{referenceType}/{referenceNumber}/{documentType}. An existing document can be updated by specifying the reference object and stored as a new revision in the archive if it has to be or was previously archived.

Path Params
string
required

Document reference type

string
required

Document reference number

string
required

Document type

Query Params
boolean
Defaults to false

Asynchronously create document

boolean

Remove document contents prior to creation

boolean
Defaults to true

Automatically create reference object

int32

How long should the generated document be retained (max 90 days)

int32

How long should the generated document be retained in storage

string

Language of the generated document (if applicable)

boolean
Defaults to false

Translate of data is required

string

Workstation for print

tag
array of strings

Additional tags that help to further describe the document (e.g. document source system, context, category...) and allows it to be found again by browsing and searching.

Tags must follow the kebab case naming convention(lowercase, and words are separated by hyphens)

tag
Body Params

Document data (XML or JSON format - must match the provided 'ContentType' header)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

202

Request is being processed and result link has been sent in response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json